Bug Hunting Session
Bug 69534 - Enhancement Request: Sidebar is set per Module/Program
Summary: Enhancement Request: Sidebar is set per Module/Program
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2013-09-18 16:29 UTC by Pedro
Modified: 2016-10-24 14:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2013-09-18 16:29:16 UTC
The new sidebar is a great addition especially to Write. However when I switch to Calc I would rather see more cells than have many formatting options.

Could you add an option so that this is set per Module/Program? E.g. in Writer the Sidebar is showing maximized, in Calc it is hidden (so its quickly accessible but collapsed to the right edge) and in Impress it's not even selected.
Comment 1 Cor Nouws 2013-09-19 16:47:30 UTC
Hi Pedro,

Doesn't resolve the explanation from Regina on the mail this?
Comment 2 Pedro 2013-09-19 16:57:24 UTC
(In reply to comment #1)
> Doesn't resolve the explanation from Regina on the mail this?

No, it doesn't. If you close the sidebar in Calc then it will be closed when you open Writer. The current setting applies to all Modules/Programs.
Comment 3 Cor Nouws 2013-09-26 20:35:35 UTC
Ah, I see it now what you mean
Comment 4 Maxim Monastirsky 2013-11-13 14:11:04 UTC
Already implemented in master. The relevant commit is http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1314f22eb8de4359b5360194c04996351e9a6c2